%define oname ktp-desktop-applets

Summary:	Telepathy KDE desktop applets
Name:		telepathy-kde-desktop-applets
Version:	17.12.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://projects.kde.org/projects/extragear/network/telepathy/%{oname}
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	ktp-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(TelepathyQt5)
Requires:	telepathy-kde-common-internals
Requires:	plasma5-applet-ktp-chat
Requires:	plasma5-applet-ktp-contactlist
Requires:	plasma5-applet-ktp-person

%description
Telepathy KDE desktop applets.

%files

#----------------------------------------------------------------------------

%package -n plasma5-applet-ktp-chat
Summary:	Plasma 5 Telepathy chat plasmoid
Group:		Graphical desktop/KDE
Requires:	plasma5-runner-ktp-contacts

%description -n plasma5-applet-ktp-chat
Plasma 5 Telepathy chat plasmoid.

%files -n plasma5-applet-ktp-chat -f plasma_applet_org.kde.ktp-chat.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.ktp-chat/
%{_kde5_datadir}/plasma/plasmoids/org.kde.ktp-chat/*
%dir %{_kde5_qmldir}/org/kde/ktpchat/
%{_kde5_qmldir}/org/kde/ktpchat/*
%{_kde5_services}/plasma-applet-org.kde.ktp-chat.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-ktp-contactlist
Summary:	Plasma 5 Telepathy contact list plasmoid
Group:		Graphical desktop/KDE
Requires:	plasma5-runner-ktp-contacts

%description -n plasma5-applet-ktp-contactlist
Plasma 5 Telepathy contact list plasmoid.

%files -n plasma5-applet-ktp-contactlist -f plasma_applet_org.kde.ktp-contactlist.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.ktp-contactlist/
%{_kde5_datadir}/plasma/plasmoids/org.kde.ktp-contactlist/*
%dir %{_kde5_qmldir}/org/kde/ktpcontactlist/
%{_kde5_qmldir}/org/kde/ktpcontactlist/*
%{_kde5_services}/plasma-applet-org.kde.ktp-contactlist.desktop

#----------------------------------------------------------------------------

%package -n plasma5-applet-ktp-person
Summary:	Plasma 5 Telepathy person plasmoid
Group:		Graphical desktop/KDE
Requires:	plasma5-runner-ktp-contacts

%description -n plasma5-applet-ktp-person
Plasma 5 Telepathy person plasmoid.

%files -n plasma5-applet-ktp-person -f plasma_applet_org.kde.person.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.person/
%{_kde5_datadir}/plasma/plasmoids/org.kde.person/*
%{_kde5_services}/plasma-applet-org.kde.person.desktop

#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang plasma_applet_org.kde.ktp-chat

%find_lang plasma_applet_org.kde.ktp-contactlist

%find_lang plasma_applet_org.kde.person


%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.12.3-1
- (f8c9399) New version 17.12.3


